import { Component } from '@angular/core';

import { GenericSelectComponent } from '../generic-select/generic-select.component';
import { GraphType } from "../../results/fixed-var-results";

@Component({
    selector: "graph-type",
    templateUrl: "../generic-select/generic-select.component.html"
})
export class GraphTypeSelectComponent extends GenericSelectComponent<GraphType> {
    private _entries: GraphType[] = [GraphType.Histogram, GraphType.Scatter];
    private _entriesLabels: string[] = ["Histogramme", "XY"];
    private _selected: GraphType;

    protected get entries(): GraphType[] {
        return this._entries;
    }

    protected entryLabel(entry: GraphType): string {
        const i = this._entries.indexOf(entry);
        return this._entriesLabels[i];
    }

    public get selectedValue(): GraphType {
        return this._selected;
    }


    public set selectedValue(v: GraphType) {
        this._selected = v;
    }
}
